% generalized script for plotting CRTomo ERT inversion results and elem
% files, respectively
clear all; close all;

 elem=dlmread('./rifle13_36e.elm');
 elec=dlmread('./rifle13_36e.elc');

% determine the number of rows in the elem-header
if elem(4,1)==11
    headerrows=4;
else
    headerrows=3;
end    
header=elem(1:headerrows,:); 
elem(1:headerrows,:)=[];      %removing header
coord=elem(1:header(1,1),:);  %nodes
elem(1:header(1,1),:)=[];     %removing nodes
elem=elem(1:header(2,2),:);   %elems (mades of which nodes)
 
elec(1,:)=[];
elecind=coord(elec,1);        %coordinates of the electrodes (nodes)
elec(:,2:3)=coord(elecind,2:3);

% evaluate node coordinates from node number
elemind=coord(elem,1);
elemx(:,1)=coord(elemind,2);
elemx=reshape(elemx,header(2,2),header(2,3));
elemx=elemx';
elemz(:,1)=coord(elemind,3);
elemz=reshape(elemz,header(2,2),header(2,3));
elemz=elemz';

minx=0;       mmx=63;  
minz=-8;      mmz=0;
rmin=10;    rmax=900;
cmin=-2.5;       cmax=0;
set(figure,'units','normalized','outerposition',[0 0 1 1]);
ci=0;
[fname,fpath]=uigetfile('*.*','Select the input file');
mag1=dlmread([fpath fname],'',1,0);

cov1=dlmread([fpath 'coverage.mag'],'', [1 0 size(mag1,1) 2]);
mag1=10.^mag1(:,3)';
cov1=cov1(:,3);

subplot(1,2,1)
set(gcf,'color',[1 1 1])
hold on
caxis([rmin rmax])
set(gca,'fontsize',7);
plot(elec(:,2),elec(:,3),'.', ...
'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',5)
patch(elemx,elemz,mag1,'edgecolor','none') %none take the grid out, k black
colormap(jet);
set(gca,'DataAspectRatio',[2 1 1],'TickDir','out','xtickMode','auto')
xlim([minx mmx]); ylim([minz mmz]);
ylabel('z [m]'); xlabel('x [m]'); 
  h=colorbar('horizontal','CLim',[rmin rmax]);
set(get(h,'xlabel'),'String',texlabel('rho [Omega m]'),'fontsize',12)

 subplot(1,2,2)
set(gcf,'color',[1 1 1])
hold on
caxis([cmin cmax])
set(gca,'fontsize',7);
plot(elec(:,2),elec(:,3),'.', ...
'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',5)
patch(elemx,elemz,cov1','edgecolor','none') %none take the grid out, k black
colormap(jet);
set(gca,'DataAspectRatio',[2 1 1],'TickDir','out','xtickMode','auto')
xlim([minx mmx]); ylim([minz mmz]);
ylabel('z [m]'); xlabel('x [m]');
 h=colorbar('horizontal','CLim',[cmin cmax]);
set(get(h,'xlabel'),'String',texlabel('Sensitivity L1'),'fontsize',12)
